For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet template
      • PUTUpdate template
      • DELDelete template
      • GETList templates
      • POSTCreate template
LogoLogo
API ReferenceTemplates

Delete template

||View as Markdown|
DELETE
https://hublinks.io/rest/accounts/:account_id/templates/:template_id
DELETE
/rest/accounts/:account_id/templates/:template_id
$curl -X DELETE "https://hublinks.io/rest/accounts/account_id/templates/template_id?group=account_abc_workflows" \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "template": {
4 "name": "Profile Magnet Updated",
5 "group": "account_workflows",
6 "account_id": "ACCO136ce10b5f8a7682efb3",
7 "created_at": 1756560102224,
8 "updated_at": 1756560102223,
9 "description": "Profile Magnet Updated",
10 "template_id": "template_3cd3786f8006f39d4a73"
11 }
12}

Delete a template by ID (requires group).

Was this page helpful?
Previous

Update template

Next

List templates

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
template_idstringRequired

Query parameters

groupstringOptional

Response

This endpoint returns an object.
successboolean
templateobject